# 🧒 ujkids - Learn Python with Fun! 🚀

ujkids is an **interactive Python learning library** for kids, featuring **games, animations, exercises, and mini-projects** to make coding fun and easy!

---

## 📌 Features
✔ **Interactive Lessons** – Covers Python basics, control flow, functions, data structures, OOP, and more.  
✔ **Fun Games & Challenges** – Rock-Paper-Scissors, Number Guessing, Quiz Game, Tic-Tac-Toe.  
✔ **Visual Learning** – Uses `pygame`, `turtle`, and `matplotlib` for **colorful animations**.  
✔ **Graphical UI** – Run ujkids with a **Streamlit-based** interactive interface.  
✔ **Mini Projects** – Hands-on Python projects for kids to practice coding.

---

## 🛠️ Installation
1. **Install ujkids via pip**  
   ```sh
   pip install ujkids
   ```

2. **Run the Interactive UI**  
   ```sh
   ujkids
   ```

3. **Or Import in Python**  
   ```python
   from ujkids.theory import basics
   basics.run_basics()
   ```

---

## 🎮 Fun Mini Projects
- **🎲 Number Guessing Game**
- **🧮 Simple Calculator**
- **📋 To-Do List Manager**
- **✊✋✌ Rock, Paper, Scissors**
- **🔑 Password Generator**
- **🧠 Quiz Game**
- **🎲 Tic-Tac-Toe (Bonus Challenge)**

---

## 📚 Python Topics Covered
| Topic | Description |
|--------|------------|
| 🐍 Basics | Syntax, variables, data types |
| 🔁 Control Flow | If-Else, loops |
| 🛠️ Functions | Defining and using functions |
| 📦 Data Structures | Lists, dictionaries, tuples, sets |
| 🏗️ OOP | Classes, objects, inheritance |
| 📂 File Handling | Reading and writing files |
| 🚀 Error Handling | Try-except, debugging |
| 📦 Modules | Importing and creating modules |
| 📊 Algorithms | Sorting, searching, recursion |

---

## 📦 How to Use ujkids in Your Code
### **1️⃣ Run an Interactive Lesson**
```python
from ujkids.theory import functions
functions.run_functions()
```

### **2️⃣ Play a Game**
```python
from ujkids.games import rock_paper_scissors
rock_paper_scissors.start_game()
```

### **3️⃣ Launch the GUI**
```sh
ujkids
```

---

## 🤝 Contributing
Want to contribute? **Fork the repository** and add new lessons, games, or animations!

---

## 📜 License
**MIT License** - Free to use and modify!

---

## ⭐ Star & Share!
If you love ujkids, give it a ⭐ on **GitHub** and share with friends!  
🔗 [GitHub Repository](https://github.com/usamajanjua9/UjKids)
